# Configuration
INSERT INTO configuration_group VALUES (NULL, '新闻管理', '该选项设置新闻管理', '1', '1');

UPDATE configuration_group SET sort_order = last_insert_id() WHERE configuration_group_id = last_insert_id();

INSERT INTO configuration VALUES (NULL, '显示新闻摘要', 'DISPLAY_NEWS_SUMMARY', 'true', '在首页显示新闻摘要(可选安装)?', last_insert_id(), '0', NULL, now(), NULL, 'zen_cfg_select_option(array("true", "false"),'), (NULL, '新闻摘要截止日期', 'DISPLAY_NEWS_SUMMARY_DAYS', '7', '仅显示过去 xx 天内的新闻摘要', last_insert_id(), '1', NULL, now(), NULL, NULL), (NULL, '新闻摘要长度', 'DISPLAY_NEWS_SUMMARY_LENGTH', '300', '如果文章没有摘要，截断文章的字数为该值', last_insert_id(), '2', NULL, now(), NULL, NULL), (NULL, '登录后才能撰写评论', 'NEWS_COMMENTS_REQUIRE_CUSTOMER', 'false', '用户登录后才能给新闻撰写评论吗?', last_insert_id(), '3', NULL, now(), NULL, 'zen_cfg_select_option(array("true", "false"),'), (NULL, '评论者姓名最小字数', 'ENTRY_NEWS_NAME_MIN_LENGTH', '3', '输入评论者姓名的最少字数', last_insert_id(), '4', NULL, now(), NULL, NULL), (NULL, '评论文字最小字数', 'ENTRY_NEWS_COMMENTS_MIN_LENGTH', '25', '输入的评论的最少字数', last_insert_id(), '5', NULL, now(), NULL, NULL), (NULL, '电子邮件通知', 'NEWS_COMMENTS_EMAIL_ADMIN_NOTICE', 'true', '有新的评论时，是否给商店管理员发电子邮件通知?', last_insert_id(), '6', NULL, now(), NULL, 'zen_cfg_select_option(array("true", "false"),'), (NULL, '新闻RSS Feed的天数', 'NEWS_RSS_FEED_NUMBER_OF_DAYS', '7', 'RSS feed将包含过去 xx 天的新闻', last_insert_id(), '7', NULL, now(), NULL, NULL);

# Table structure for table news_articles 
DROP TABLE IF EXISTS news_articles;
CREATE TABLE news_articles (
  article_id int(11) NOT NULL auto_increment,
  authors_id int(11) NOT NULL default '0',
  news_image varchar(64) default NULL,
  news_image_two varchar(64) default NULL,
  news_date_added datetime NOT NULL default '0000-00-00 00:00:00',
  news_last_modified datetime default NULL,
  news_date_published datetime default NULL,
  news_status tinyint(1) NOT NULL default '0',
  sort_order tinyint(6) NOT NULL default '0',
  PRIMARY KEY  (article_id),
  KEY (news_date_published)
) CHARACTER SET utf8 COLLATE utf8_general_ci;

# Table structure for table news_articles_text
DROP TABLE IF EXISTS news_articles_text;
CREATE TABLE news_articles_text (
  article_id int(11) NOT NULL auto_increment,
  language_id int(11) NOT NULL default '1',
  news_article_name varchar(64) NOT NULL default '',
  news_article_text text,
  news_article_shorttext text,
  news_article_url varchar(255) default NULL,
  news_article_url_text varchar(64) default NULL,
  news_article_url_2 varchar(255) default NULL,
  news_article_url_2_text varchar(64) default NULL,
  news_article_url_3 varchar(255) default NULL,
  news_article_url_3_text varchar(64) default NULL,
  news_article_url_4 varchar(255) default NULL,
  news_article_url_4_text varchar(64) default NULL,
  news_article_url_store int(11) default NULL,
  news_article_url_store_2 int(11) default NULL,
  news_article_url_store_misc varchar(255) default NULL,
  news_article_url_store_misc_text varchar(64) default NULL,
  news_article_url_store_misc_2 varchar(255) default NULL,
  news_article_url_store_misc_2_text varchar(64) default NULL,
  news_image_text text,
  news_image_text_two text,
  PRIMARY KEY  (article_id,language_id),
  KEY (news_article_name)
) CHARACTER SET utf8 COLLATE utf8_general_ci;

# Table structure for table news_authors
DROP TABLE IF EXISTS news_authors;
CREATE TABLE news_authors (
  authors_id int(11) NOT NULL auto_increment,
  author_name varchar(64) default NULL,
  author_email varchar(96) default NULL,
  status int(1) NOT NULL default '1',
  PRIMARY KEY  (authors_id)
) CHARACTER SET utf8 COLLATE utf8_general_ci;

# Dumping data for table news_authors
INSERT INTO news_authors VALUES (1, 'Administrator', 'admin@localhost.com', 1);

# Table structure for table news_comments
DROP TABLE IF EXISTS news_comments;
CREATE TABLE news_comments (
  comments_id int(11) NOT NULL auto_increment,
  article_id int(11) NOT NULL default '0',
  customers_id int(11) default NULL,
  customers_name varchar(64) NOT NULL default '',
  date_added datetime default NULL,
  last_modified datetime default NULL,
  approved tinyint(1) unsigned NOT NULL default '0',
  PRIMARY KEY  (comments_id)
) CHARACTER SET utf8 COLLATE utf8_general_ci;

# Table structure for table news_comments_description
DROP TABLE IF EXISTS news_comments_description;
CREATE TABLE news_comments_description (
  comments_id int(11) NOT NULL default '0',
  language_id int(11) NOT NULL default '0',
  comments_subject varchar(64) default NULL,
  comments_text text NOT NULL,
  PRIMARY KEY  (comments_id,language_id)
) CHARACTER SET utf8 COLLATE utf8_general_ci;
